[pkg-fso-commits] [SCM] openmoko-files, various files for the Openmoko devices branch, master, updated. debian/20081111-1-10-gf465dcb

Joachim Breitner mail at joachim-breitner.de
Sun Nov 23 14:17:26 UTC 2008


The following commit has been merged in the master branch:
commit a357239d048a97a0969cbdcd3fd2604d258fe39a
Author: Joachim Breitner <mail at joachim-breitner.de>
Date:   Sun Nov 23 15:15:16 2008 +0100

    script to do "upstream" snapshots

diff --git a/debian/upstream-release.sh b/debian/upstream-release.sh
new file mode 100755
index 0000000..e413ca5
--- /dev/null
+++ b/debian/upstream-release.sh
@@ -0,0 +1,68 @@
+#!/bin/bash
+
+set -e
+
+# This script is used by nomeata to 
+# * Create a tarball from the upstream git branch 
+# * Insert it into pristine tar
+# * Merge it into Debian
+# * Create a new debian/changelog entry 
+
+# It requires the upstream/$VERSION tag to be set
+
+VERSION=$1
+
+if [ -z "$VERSION" -o "$VERSION" = "--help" ]
+then
+	echo "Usage:"
+	echo "	$0 <version>"
+	echo "Whereas a tag upstream/<version> exists"
+	exit 0
+fi
+
+if [ ! -e .git ]
+then
+	echo "Please run in the root of the git tree"
+	exit 1
+fi
+
+
+TARBALL=../openmoko-files_"$VERSION".orig.tar.gz
+TAG="upstream/$VERSION"
+
+if !  git tag -l "$TAG" | fgrep -q "$TAG"
+then
+	echo "Tag $TAG not found"
+	exit 1
+fi
+
+if ! git status | fgrep -q 'nothing to commit'
+then
+	echo "Uncommited changes:"
+	git status
+	exit 1
+fi
+
+set -x
+
+git-archive --format=tar --prefix=openmoko-files-"$VERSION"/ "$TAG" | \
+	gzip -9 > $TARBALL
+
+pristine-tar -m "New upstream tarball
+
+Generated by:
+git-archive --format=tar --prefix=openmoko-file-$VERSION/ "$TAG" | \
+	gzip -9 > $TARBALL" \
+	commit "$TARBALL" "$TAG"
+
+git checkout master
+
+git merge "$TAG"
+
+# Even if the last entry was UNRELEASED, we want a new one
+dch --release-heuristic log --distribution UNRELEASED --newversion "$VERSION-1" \
+ -m "New upstream release"
+
+git commit debian/changelog -m "Entry about new upstream version $VERSION"
+
+echo "Done!"

-- 
openmoko-files, various files for the Openmoko devices



More information about the pkg-fso-commits mailing list